Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable
Class StaleEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.core.databinding.observable.ObservableEvent
              org.eclipse.core.databinding.observable.StaleEvent

All Implemented Interfaces:
  Serializable

    public class StaleEvent

extends ObservableEvent

Generic event denoting that the state of an `IObservable` object is about to change. Note that this event is only fired when an observable becomes stale, not when it becomes unstale; an observable that becomes unstale should always fire a change event. Staleness can be used (for example) to notify listeners when an observable has started a background thread for updating its state. Clients can safely ignore staleness.

Since:
  1.0
See Also:
  `IObservable.isStale()`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`StaleEvent(IObservable source)` Creates a new stale event.

Method Summary
`protected void` `dispatch(IObservablesListener listener)` Dispatch this event to the given listener.
`protected Object` `getListenerType()` Returns a unique object used for distinguishing this event type from others.

Methods inherited from class org.eclipse.core.databinding.observable.ObservableEvent
`getObservable`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaleEvent

    public StaleEvent(IObservable source)

  Creates a new stale event.

  Parameters:
    `source` - the source observable

Method Detail

### dispatch

    protected void dispatch(IObservablesListener listener)

  Description copied from class: `ObservableEvent`
  Dispatch this event to the given listener. Subclasses must implement this method by calling the appropriate type-safe event handling method on the given listener according to the type of this event.

  Specified by:
    `dispatch` in class `ObservableEvent`
  Parameters:
    `listener` - the listener that should handle the event

### getListenerType

    protected Object getListenerType()

  Description copied from class: `ObservableEvent`
  Returns a unique object used for distinguishing this event type from others.

  Specified by:
    `getListenerType` in class `ObservableEvent`
  Returns:
    a unique object representing the concrete type of this event.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.